#
# spec file for package libdvbpsi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libdvbpsi
Version:        1.1.0
Release:        27.1
Summary:        Library for Decoding and Generating MPEG TS and DVB PSI Tables
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://www.videolan.org/developers/libdvbpsi.html
Source:         http://download.videolan.org/pub/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdvbpsi is a simple library designed for decoding and generating
   MPEG TS and DVB PSI tables. Current features: * Program
   Association Table (PAT), decoder and generator.

* Program Map Table (PMT), decoder and generator.

* All MPEG 2 descriptors, decoders and generators.

%package -n libdvbpsi9
Summary:        Library for Decoding and Generating MPEG TS and DVB PSI Tables
Group:          System/Libraries

%description -n libdvbpsi9
libdvbpsi is a simple library designed for decoding and generating
   MPEG TS and DVB PSI tables. Current features: * Program
   Association Table (PAT), decoder and generator.

* Program Map Table (PMT), decoder and generator.
* All MPEG 2 descriptors, decoders and generators.

%package devel
Summary:        Library for Decoding and Generation of MPEG TS and DVB PSI Tables
Group:          Development/Libraries/C and C++
Requires:       libdvbpsi9 = %{version}

%description devel
libdvbpsi is a simple library designed for decoding and generation of
MPEG TS and DVB PSI tables.

Current features: * Program Association Table (PAT), decoder and
   generator.

* Program Map Table (PMT), decoder and generator.
* All MPEG 2 descriptors, decoders and generators.

%prep
%setup -q

%build
%configure\
	--disable-static
%{__make} %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -type f -name "*.la" -delete -print

%clean
%{__rm} -rf %{buildroot}

%post -n libdvbpsi9 -p /sbin/ldconfig

%postun -n libdvbpsi9 -p /sbin/ldconfig

%files -n libdvbpsi9
%defattr (-, root, root)
%{_libdir}/libdvbpsi.so.9
%{_libdir}/libdvbpsi.so.9.*

%files devel
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libdvbpsi.so
%{_includedir}/dvbpsi
%{_libdir}/pkgconfig/libdvbpsi.pc

%changelog
* Tue May  7 2013 dimstar@opensuse.org
- Update baselibs.conf accordingly to producte libdvbpsi9-32bit.
* Wed Apr 24 2013 sbrabec@suse.cz
- Upgrade to version 1.1.0:
  * New API: make API more consistent, see howto-new-api.
  * Bew SONAME.
  * Remove deprecated APIs and bump library version.
  * Corrected use of dvbpsi_ValidPSISection().
  * Remove workaround for checking CRC32 in TOT PSI table.
  * Add function dvbpsi_CalculateCRC32().
  * Fix offset for description parsing in tables.
  * Several new descriptors.
  * EIT table generation, and decoding fixes, add NVOD event
    detection.
  * new example application dvbinfo
  * misc examples: fixes to gen_pat, gen_pmt
  * updated documentation (new api howto)
  * add log callback (remove fprintf's)
  * RST table decoding and generation
  * descriptor 0x03: added variable_rate_audio_indicator
  * ATSC tables EIT, ETT, MGT, STT and VCT decoders
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- use proper filenames in files section, to make the build fail if the
  SONAME changes
- update to 0.2.2:
  * revert regression introduced by "ignore initial discontinuity" commit
- changes from 0.2.1:
  * ignore initial discontinuity
* Fri May  6 2011 dimstar@opensuse.org
- Update to version 0.2.0:
  + License change of libdvbpsi from GPLv2 to LGPLv2.1
  + new CUE Identifier descriptor support (0x8a)
  + new Splice Information Section table support (0xFC) (SCTE 35
    2004)
  + new BAT table (decoder and generator)
  + new descriptor 0x44
  + depreceated all API's in preparation for 1.0.0 release with
    reworked API
- Adjust License Tags from GPLv2+ to LPGLv2.1+
- Remove Provides/Obsoletes libdvbpsi: openSUSE 10.3 is long gone.
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Removed self-obsoletes (fix for RPMLINT warning)
* Fri Sep 10 2010 dimstar@opensuse.org
- Update to version 0.1.7:
  + new VBI data descriptor support (0x45)
  + NIT support
  + TOT/TDT support
  + new DVB Satellite Delivery systems descriptor support (0x43)
  + new DVB Local time offset descriptor support (0x58)
  + new Terrestrial Delivery systems descriptor support (0x5a)
- Remove autoreconf call: there is no need for it.
- Add pkg-config BuildRequires.
* Tue Jan 15 2008 sbrabec@suse.cz
- Updated to version 0.1.6:
  * fixed a parsing bug due to outdated spec in ISO 639 language
    descriptor
  * fixed the use of uninitialized data when
    section_syntax_indicator=0
  * fixed a parsing bug in the EBU teletext descriptor decoder
  * fixed the declaration of dvbpsi_DecodeTeletextDr
  * new example tool for checking an MPEG-2 TS file
  * fixed EIT discontinuities
  * new cat support
  * new PDC support descriptor 0x69
* Mon Aug 20 2007 crrodriguez@suse.de
- fix wrong .so file in non-devel package.
- remove static libraries and pointless libtool archive with empty
  dependency_libs.
* Wed Jun 28 2006 sbrabec@suse.cz
- New SuSE package, version 0.1.5.
